Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 398073 - (operationfx) Setup of new website
: Setup of new website
Product: Websites
Classification: Other
Component: Other (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Justin Scott [:fligtar]
Depends on:
  Show dependency treegraph
Reported: 2007-09-30 11:03 PDT by Andrew Stein
Modified: 2007-10-31 15:02 PDT (History)
12 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Description Andrew Stein 2007-09-30 11:03:49 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20070914 Firefox/
Build Identifier: 

Operation Firefox is the new marketing contest set to begin shortly that has participants placing giants Fathead stickers with the Firefox logo all over the country and the world.

The website will have 6-7 pages and should work in Firefox mainly, but also IE, Safari and Opera.  There will be a home page, submit page (where contestants will enter their idea submissions), a blog page, FAQ page, and rules page.  There will later be a second version of the submit page after the deadline has passed.

Reproducible: Always

Steps to Reproduce:
Comment 1 Reed Loden [:reed] (use needinfo?) 2007-10-01 01:07:57 PDT
--> IT, as this bug has nothing to do with

So, you're not actually requesting anything be done in this bug. Mozilla already owns, so that's not an issue. You explain the need but don't say who is making these pages, etc. IT can't do anything until you actually have something that is ready to be posted on the site. IT does not design websites. If something needs to be designed and built, you need to go through the WebDev team to do it. Since this site sounds dynamic, it will probably need a database, but that's not a problem.

Basically, it sounds like you just need to get some space set up in Subversion for the work to be done on the site. Once the site is in Subversion and has been reviewed by the WebDev team, then IT can set up with the pages in Subversion and set up the needed database for it.
Comment 2 Michael Morgan [:morgamic] 2007-10-01 08:57:18 PDT
Andrew, thanks for filing a tracker bug.  Could you add some details about what technologies will be used, or is that something we can help with?  Is there a project wiki page somewhere that I can look at?
Comment 3 Tim Riley [:timr] 2007-10-01 09:17:33 PDT
Has anyone assessed the need for QA testing?  If not, Please see Stephen Donner.  Normal process is to have QA test any new customer facing pages. I am marking this with whiteboard comment qa-p3 until we know more.
Comment 4 Andrew Stein 2007-10-01 09:49:55 PDT
Morgamic: We will add you to the basecamp on so that you can see the larger progress of this project.  

Unfortunately, I am not certain of the technologies being used on the page, but I think that it is mainly php and html.  There is also one page that is a form, so a database will have to exist behind that.  The form will consist of contact information and then one text-based question.

Also, I emailed the qa-execution alias over the weekend with this project to alert them of it.
Comment 5 John Slater 2007-10-01 10:00:22 PDT
About the QA stuff:
As noted above, Andrew emailed the qa-execution alias with the heads-up. I was planning on filing an official "please QA this site" bug once the site has actually been built.
Comment 6 Justin Scott [:fligtar] 2007-10-01 11:25:20 PDT
Moving out of Server Ops until there's something for them to do. Will be filing other relevant bugs shortly.
Comment 7 Justin Scott [:fligtar] 2007-10-08 12:21:29 PDT
Stephen, the site is ready to be QA'd at the URL above. Expected launch is a week from today.

The only known issues I am aware of are that the rules page is missing content and there are some minor display quirks in IE. JavaScript is only used to pre-load images.

If you'd like me to file another bug for QA, just let me know.
Comment 8 Justin Scott [:fligtar] 2007-10-08 12:22:55 PDT
morgamic, would you mind reviewing the submission form when you get a chance?

It can be tested on staging.
Comment 9 Stephen Donner [:stephend] 2007-10-09 17:06:32 PDT
As long as I don't post screenshots, can I host my test plan at, or should I do it on (this bug doesn't have its confidential flags set, and the page is behind LDAP auth, so...)?
Comment 10 Justin Scott [:fligtar] 2007-10-09 17:24:05 PDT
Either is fine - the LDAP auth is accessible by anyone with a CVS account, not MoCo only.
Comment 11 Stephen Donner [:stephend] 2007-10-09 22:07:11 PDT
(In reply to comment #7)


> The only known issues I am aware of are that the rules page is missing content
> and there are some minor display quirks in IE. JavaScript is only used to
> pre-load images.

Opera 9.23 on Windows, and Safari 2.0.4 on Mac, as well, have issues with the submit.php page (the form textfields break on a couple lines).
Comment 12 Stephen Donner [:stephend] 2007-10-09 22:10:18 PDT

screenshot of Safari 2.0.4 on Mac OS X 10.4
Comment 13 Stephen Donner [:stephend] 2007-10-09 23:34:43 PDT
Test Plan with first-round results:
Comment 14 Justin Scott [:fligtar] 2007-10-12 14:53:45 PDT
Thanks Stephen.

The line break is actually an issue on every page, it's just been made to look nice enough in Firefox at the expense of the other browsers. I'm trying to figure out the best way to fix it -- the HTML that the design agency gave us for it isn't doing it.

As you may have heard, the launch was moved back a week (for issues not relating to the website), so we have more time to figure it out.
Comment 15 Justin Scott [:fligtar] 2007-10-12 16:11:11 PDT
A few bugfixes on staging:
- I temporarily "fixed" the form issue by moving one more field under the divider, so it should look fine in IE and Safari now, and only slightly weird in Firefox.
- Everything isn't centered in IE anymore
- Added favicon
- IE doesn't submit the value of image submit buttons, so the form was unsubmittable in IE
Comment 16 Stephen Donner [:stephend] 2007-10-14 22:15:02 PDT
I ran through my tests again on staging and the issues mentioned above are indeed fixed; we don't do much form validation...should we?  (Kind of late to be asking, I guess.)

For instance, I can submit empty-but not null--strings such as " " (space) into every field and it's accepted.  Not sure how crazy we want to get with the validation.  Really, it's just more work on the receiver to sort out bogus submissions, and I doubt that whomever does that will take the time to figure out bogus (spammy) entries, so probably not an issue.

Other than that, this looks good to go from my side, so I've updated by removing the reference to the now-fixed form-textfield break issue.
Comment 17 Stephen Donner [:stephend] 2007-10-18 14:40:41 PDT
(In reply to comment #16)

> For instance, I can submit empty-but not null--strings such as " " (space) into

By this comment, you can tell I've never had a CS course; an empty string is "", not " ", of course.
Comment 18 Stephen Donner [:stephend] 2007-10-23 11:36:35 PDT
Someone--Andrew?--mark this fixed, and I'll mark it verified, since it's live.
Comment 19 Stephen Donner [:stephend] 2007-10-23 11:45:24 PDT
Thanks Justin.  Verified FIXED, as it's on production.
Comment 20 Seth Bindernagel 2007-10-23 16:22:18 PDT
Under the FAQ, we currently have the following:

"Do the stickers ruin surfaces?

"No, the stickers utilize static electricity to cling to walls, so they can be easily removed without leaving any damage behind."

We need to change it to this:

"Do the stickers ruin surfaces?

"The stickers use a light adhesive similar to Post-it Note (R).  Each sticker comes with specific instruction on how to apply the sticker.  If followed, the stickers should not damage the surface."
Comment 21 Justin Scott [:fligtar] 2007-10-24 09:32:36 PDT
FAQ updated and pushed.
Comment 22 Stephen Donner [:stephend] 2007-10-31 15:02:48 PDT
Deployed to production with the changes in comment 20; verified.  My grammar hat is not on today, so I really don't know if "instruction" ought to be plural; most dictionaries say "usually: instructions", but that's a quibble.

Note You need to log in before you can comment on or make changes to this bug.